public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xwinwrap/
@ 2017-01-04 23:39 Patrice Clement
  0 siblings, 0 replies; 2+ messages in thread
From: Patrice Clement @ 2017-01-04 23:39 UTC (permalink / raw
  To: gentoo-commits

commit:     e9c0602f16037ba0bac7f93a52340b117dbc3107
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  4 23:39:02 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jan  4 23:39:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c0602f

x11-misc/xwinwrap: EAPI 6 bump.

Package-Manager: portage-2.3.0

 x11-misc/xwinwrap/xwinwrap-0_p4-r1.ebuild | 40 +++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/x11-misc/xwinwrap/xwinwrap-0_p4-r1.ebuild b/x11-misc/xwinwrap/xwinwrap-0_p4-r1.ebuild
new file mode 100644
index 00000000..980a195
--- /dev/null
+++ b/x11-misc/xwinwrap/xwinwrap-0_p4-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="replace a desktop background with a movie or screensaver"
+HOMEPAGE="http://tech.shantanugoel.com/projects/linux/shantz-xwinwrap"
+SRC_URI="https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/tarball/4 -> ${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	x11-libs/libXext
+	x11-libs/libXrender"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}/${PN}/devel"
+
+src_unpack() {
+	default
+	mv * ./"${P}" || die
+}
+
+src_compile() {
+	local cmd="$(tc-getCC) -Wall ${CFLAGS} ${PN}.c -o ${PN} ${LDFLAGS} \
+		 $(pkg-config --libs x11 xext xrender)"
+	ebegin $cmd
+	$cmd || die
+	eend $?
+}
+
+src_install() {
+	dobin "${PN}"
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xwinwrap/
@ 2017-03-07  9:14 David Seifert
  0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2017-03-07  9:14 UTC (permalink / raw
  To: gentoo-commits

commit:     bfa6a523da00c02c62ddd56f9b0e35377360cfbc
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Mon Mar  6 15:30:36 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 09:12:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfa6a523

x11-misc/xwinwrap: Remove old

Package-Manager: Portage-2.3.4, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4142

 x11-misc/xwinwrap/xwinwrap-0_p4.ebuild | 32 --------------------------------
 1 file changed, 32 deletions(-)

diff --git a/x11-misc/xwinwrap/xwinwrap-0_p4.ebuild b/x11-misc/xwinwrap/xwinwrap-0_p4.ebuild
deleted file mode 100644
index 43f5199e022..00000000000
--- a/x11-misc/xwinwrap/xwinwrap-0_p4.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=4
-
-inherit toolchain-funcs vcs-snapshot
-
-DESCRIPTION="replace a desktop background with a movie or screensaver"
-HOMEPAGE="http://tech.shantanugoel.com/projects/linux/shantz-xwinwrap"
-SRC_URI="https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/tarball/4 -> ${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="x11-libs/libXext
-	x11-libs/libXrender"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/${P}/${PN}/devel
-
-src_compile() {
-	local cmd="$(tc-getCC) -Wall ${CFLAGS} ${PN}.c -o ${PN} ${LDFLAGS} \
-		 $(pkg-config --libs x11 xext xrender)"
-	echo $cmd
-	$cmd || die
-}
-
-src_install() {
-	dobin ${PN}
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2017-03-07  9:15 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-07  9:14 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xwinwrap/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2017-01-04 23:39 Patrice Clement

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox